# Class DataFrameIns

java.lang.Object
org.snpsift.annotate.mem.dataFrame.DataFrame
org.snpsift.annotate.mem.dataFrame.DataFrameIns

All Implemented Interfaces:
  `Serializable`

public class DataFrameIns extends DataFrame
DataFrameIns is a specialized subclass of DataFrame designed to handle insertion variants. This class extends the DataFrame class and is specifically tailored to work with insertion variants by initializing the DataFrame with specific parameters. Constructor: - DataFrameIns(VariantTypeCounter variantTypeCounter, VariantCategory variantCategory): Initializes the DataFrameIns object with the given VariantTypeCounter and VariantCategory. The constructor sets the 'isSorted' parameter to false and 'isUnique' parameter to true.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class DataFrame

`MAX_ROWS_TO_SHOW`

## Constructor Summary

Constructors
Constructor
Description
`DataFrameIns(VariantTypeCounter variantTypeCounter, VariantCategory variantCategory)`

## Method Summary

### Methods inherited from class DataFrame

`add, check, columnNames, createColumn, createColumns, eq, find, get, getColumn, getRow, hasEntry, resize, set, sizeBytes, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DataFrameIns

public DataFrameIns(VariantTypeCounter variantTypeCounter, VariantCategory variantCategory)